body {
    background-color: #f5f7fa;
}

.text-muted {
    color: #909fa7;
}

.text-primary {
    color: #5d9cec;
}

a.text-primary:hover,
a.text-primary:focus {
    color: #2f80e7;
}

.text-success {
    color: #27c24c;
}

a.text-success:hover,
a.text-success:focus {
    color: #1e983b;
}

.text-info {
    color: #23b7e5;
}

a.text-info:hover,
a.text-info:focus {
    color: #1797be;
}

.text-warning {
    color: #ff902b;
}

a.text-warning:hover,
a.text-warning:focus {
    color: #f77600;
}

.text-danger {
    color: #f05050;
}

a.text-danger:hover,
a.text-danger:focus {
    color: #ec2121;
}

.bg-primary {
    color: #fff;
    background-color: #5d9cec;
}

a.bg-primary:hover,
a.bg-primary:focus {
    background-color: #2f80e7;
}

.bg-success {
    background-color: #dff0d8;
}

a.bg-success:hover,
a.bg-success:focus {
    background-color: #c1e2b3;
}

.bg-info {
    background-color: #d9edf7;
}

a.bg-info:hover,
a.bg-info:focus {
    background-color: #afd9ee;
}

.bg-warning {
    background-color: #fcf8e3;
}

a.bg-warning:hover,
a.bg-warning:focus {
    background-color: #f7ecb5;
}

.bg-danger {
    background-color: #f2dede;
}

a.bg-danger:hover,
a.bg-danger:focus {
    background-color: #e4b9b9;
}

.btn-primary {
    color: #ffffff;
    background-color: #5d9cec;
    border-color: #5899eb;
}

.btn-primary:focus,
.btn-primary.focus {
    color: #ffffff;
    background-color: #4b91ea;
    border-color: #3483e7;
}

.btn-primary:hover {
    color: #ffffff;
    background-color: #4b91ea;
    border-color: #3483e7;
}

.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
    color: #ffffff;
    background-color: #4b91ea;
    border-color: #3483e7;
}

.btn-primary:active:hover,
.btn-primary.active:hover,
.open > .dropdown-toggle.btn-primary:hover,
.btn-primary:active:focus,
.btn-primary.active:focus,
.open > .dropdown-toggle.btn-primary:focus,
.btn-primary:active.focus,
.btn-primary.active.focus,
.open > .dropdown-toggle.btn-primary.focus {
    color: #ffffff;
    background-color: #4b91ea;
    border-color: #3483e7;
}

.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
    background-image: none;
}

.btn-primary.disabled,
.btn-primary[disabled],
fieldset[disabled] .btn-primary,
.btn-primary.disabled:hover,
.btn-primary[disabled]:hover,
fieldset[disabled] .btn-primary:hover,
.btn-primary.disabled:focus,
.btn-primary[disabled]:focus,
fieldset[disabled] .btn-primary:focus,
.btn-primary.disabled.focus,
.btn-primary[disabled].focus,
fieldset[disabled] .btn-primary.focus,
.btn-primary.disabled:active,
.btn-primary[disabled]:active,
fieldset[disabled] .btn-primary:active,
.btn-primary.disabled.active,
.btn-primary[disabled].active,
fieldset[disabled] .btn-primary.active {
    background-color: #5d9cec;
    border-color: #5899eb;
}

.btn-primary .badge {
    color: #5d9cec;
    background-color: #ffffff;
}

.btn-success {
    color: #ffffff;
    background-color: #27c24c;
    border-color: #26be4a;
}

.btn-success:focus,
.btn-success.focus {
    color: #ffffff;
    background-color: #24b145;
    border-color: #1f9c3d;
}

.btn-success:hover {
    color: #ffffff;
    background-color: #24b145;
    border-color: #1f9c3d;
}

.btn-success:active,
.btn-success.active,
.open > .dropdown-toggle.btn-success {
    color: #ffffff;
    background-color: #24b145;
    border-color: #1f9c3d;
}

.btn-success:active:hover,
.btn-success.active:hover,
.open > .dropdown-toggle.btn-success:hover,
.btn-success:active:focus,
.btn-success.active:focus,
.open > .dropdown-toggle.btn-success:focus,
.btn-success:active.focus,
.btn-success.active.focus,
.open > .dropdown-toggle.btn-success.focus {
    color: #ffffff;
    background-color: #24b145;
    border-color: #1f9c3d;
}

.btn-success:active,
.btn-success.active,
.open > .dropdown-toggle.btn-success {
    background-image: none;
}

.btn-success.disabled,
.btn-success[disabled],
fieldset[disabled] .btn-success,
.btn-success.disabled:hover,
.btn-success[disabled]:hover,
fieldset[disabled] .btn-success:hover,
.btn-success.disabled:focus,
.btn-success[disabled]:focus,
fieldset[disabled] .btn-success:focus,
.btn-success.disabled.focus,
.btn-success[disabled].focus,
fieldset[disabled] .btn-success.focus,
.btn-success.disabled:active,
.btn-success[disabled]:active,
fieldset[disabled] .btn-success:active,
.btn-success.disabled.active,
.btn-success[disabled].active,
fieldset[disabled] .btn-success.active {
    background-color: #27c24c;
    border-color: #26be4a;
}

.btn-success .badge {
    color: #27c24c;
    background-color: #ffffff;
}

.btn-info {
    color: #ffffff;
    background-color: #23b7e5;
    border-color: #1eb6e4;
}

.btn-info:focus,
.btn-info.focus {
    color: #ffffff;
    background-color: #1aacda;
    border-color: #179ac3;
}

.btn-info:hover {
    color: #ffffff;
    background-color: #1aacda;
    border-color: #179ac3;
}

.btn-info:active,
.btn-info.active,
.open > .dropdown-toggle.btn-info {
    color: #ffffff;
    background-color: #1aacda;
    border-color: #179ac3;
}

.btn-info:active:hover,
.btn-info.active:hover,
.open > .dropdown-toggle.btn-info:hover,
.btn-info:active:focus,
.btn-info.active:focus,
.open > .dropdown-toggle.btn-info:focus,
.btn-info:active.focus,
.btn-info.active.focus,
.open > .dropdown-toggle.btn-info.focus {
    color: #ffffff;
    background-color: #1aacda;
    border-color: #179ac3;
}

.btn-info:active,
.btn-info.active,
.open > .dropdown-toggle.btn-info {
    background-image: none;
}

.btn-info.disabled,
.btn-info[disabled],
fieldset[disabled] .btn-info,
.btn-info.disabled:hover,
.btn-info[disabled]:hover,
fieldset[disabled] .btn-info:hover,
.btn-info.disabled:focus,
.btn-info[disabled]:focus,
fieldset[disabled] .btn-info:focus,
.btn-info.disabled.focus,
.btn-info[disabled].focus,
fieldset[disabled] .btn-info.focus,
.btn-info.disabled:active,
.btn-info[disabled]:active,
fieldset[disabled] .btn-info:active,
.btn-info.disabled.active,
.btn-info[disabled].active,
fieldset[disabled] .btn-info.active {
    background-color: #23b7e5;
    border-color: #1eb6e4;
}

.btn-info .badge {
    color: #23b7e5;
    background-color: #ffffff;
}

.btn-warning {
    color: #ffffff;
    background-color: #ff902b;
    border-color: #ff8d26;
}

.btn-warning:focus,
.btn-warning.focus {
    color: #ffffff;
    background-color: #ff8517;
    border-color: #fc7800;
}

.btn-warning:hover {
    color: #ffffff;
    background-color: #ff8517;
    border-color: #fc7800;
}

.btn-warning:active,
.btn-warning.active,
.open > .dropdown-toggle.btn-warning {
    color: #ffffff;
    background-color: #ff8517;
    border-color: #fc7800;
}

.btn-warning:active:hover,
.btn-warning.active:hover,
.open > .dropdown-toggle.btn-warning:hover,
.btn-warning:active:focus,
.btn-warning.active:focus,
.open > .dropdown-toggle.btn-warning:focus,
.btn-warning:active.focus,
.btn-warning.active.focus,
.open > .dropdown-toggle.btn-warning.focus {
    color: #ffffff;
    background-color: #ff8517;
    border-color: #fc7800;
}

.btn-warning:active,
.btn-warning.active,
.open > .dropdown-toggle.btn-warning {
    background-image: none;
}

.btn-warning.disabled,
.btn-warning[disabled],
fieldset[disabled] .btn-warning,
.btn-warning.disabled:hover,
.btn-warning[disabled]:hover,
fieldset[disabled] .btn-warning:hover,
.btn-warning.disabled:focus,
.btn-warning[disabled]:focus,
fieldset[disabled] .btn-warning:focus,
.btn-warning.disabled.focus,
.btn-warning[disabled].focus,
fieldset[disabled] .btn-warning.focus,
.btn-warning.disabled:active,
.btn-warning[disabled]:active,
fieldset[disabled] .btn-warning:active,
.btn-warning.disabled.active,
.btn-warning[disabled].active,
fieldset[disabled] .btn-warning.active {
    background-color: #ff902b;
    border-color: #ff8d26;
}

.btn-warning .badge {
    color: #ff902b;
    background-color: #ffffff;
}

.btn-danger {
    color: #ffffff;
    background-color: #f05050;
    border-color: #f04b4b;
}

.btn-danger:focus,
.btn-danger.focus {
    color: #ffffff;
    background-color: #ee3d3d;
    border-color: #ec2626;
}

.btn-danger:hover {
    color: #ffffff;
    background-color: #ee3d3d;
    border-color: #ec2626;
}

.btn-danger:active,
.btn-danger.active,
.open > .dropdown-toggle.btn-danger {
    color: #ffffff;
    background-color: #ee3d3d;
    border-color: #ec2626;
}

.btn-danger:active:hover,
.btn-danger.active:hover,
.open > .dropdown-toggle.btn-danger:hover,
.btn-danger:active:focus,
.btn-danger.active:focus,
.open > .dropdown-toggle.btn-danger:focus,
.btn-danger:active.focus,
.btn-danger.active.focus,
.open > .dropdown-toggle.btn-danger.focus {
    color: #ffffff;
    background-color: #ee3d3d;
    border-color: #ec2626;
}

.btn-danger:active,
.btn-danger.active,
.open > .dropdown-toggle.btn-danger {
    background-image: none;
}

.btn-danger.disabled,
.btn-danger[disabled],
fieldset[disabled] .btn-danger,
.btn-danger.disabled:hover,
.btn-danger[disabled]:hover,
fieldset[disabled] .btn-danger:hover,
.btn-danger.disabled:focus,
.btn-danger[disabled]:focus,
fieldset[disabled] .btn-danger:focus,
.btn-danger.disabled.focus,
.btn-danger[disabled].focus,
fieldset[disabled] .btn-danger.focus,
.btn-danger.disabled:active,
.btn-danger[disabled]:active,
fieldset[disabled] .btn-danger:active,
.btn-danger.disabled.active,
.btn-danger[disabled].active,
fieldset[disabled] .btn-danger.active {
    background-color: #f05050;
    border-color: #f04b4b;
}

.btn-danger .badge {
    color: #f05050;
    background-color: #ffffff;
}

.btn-link {
    color: #5d9cec;
    font-weight: normal;
    border-radius: 0;
}

.btn-link,
.btn-link:active,
.btn-link.active,
.btn-link[disabled],
fieldset[disabled] .btn-link {
    background-color: transparent;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-link,
.btn-link:hover,
.btn-link:focus,
.btn-link:active {
    border-color: transparent;
}

.btn-link:hover,
.btn-link:focus {
    color: #1b72e2;
    text-decoration: underline;
    background-color: transparent;
}

.label-default {
    background-color: #e4eaec;
}

.label-default[href]:hover,
.label-default[href]:focus {
    background-color: #c6d3d7;
}

.label-primary {
    background-color: #5d9cec;
}

.label-primary[href]:hover,
.label-primary[href]:focus {
    background-color: #2f80e7;
}

.label-success {
    background-color: #27c24c;
}

.label-success[href]:hover,
.label-success[href]:focus {
    background-color: #1e983b;
}

.label-info {
    background-color: #23b7e5;
}

.label-info[href]:hover,
.label-info[href]:focus {
    background-color: #1797be;
}

.label-warning {
    background-color: #ff902b;
}

.label-warning[href]:hover,
.label-warning[href]:focus {
    background-color: #f77600;
}

.label-danger {
    background-color: #f05050;
}

.label-danger[href]:hover,
.label-danger[href]:focus {
    background-color: #ec2121;
}

.panel-default {
    border-color: #cfdbe2;
}

.panel-default > .panel-heading {
    color: #444444;
    background-color: #ffffff;
    border-color: #cfdbe2;
}

.panel-default > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #cfdbe2;
}

.panel-default > .panel-heading .badge {
    color: #ffffff;
    background-color: #444444;
}

.panel-default > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #cfdbe2;
}

.panel-primary {
    border-color: #cfdbe2;
}

.panel-primary > .panel-heading {
    color: #ffffff;
    background-color: #5d9cec;
    border-color: #cfdbe2;
}

.panel-primary > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #cfdbe2;
}

.panel-primary > .panel-heading .badge {
    color: #5d9cec;
    background-color: #ffffff;
}

.panel-primary > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #cfdbe2;
}

.panel-success {
    border-color: #cfdbe2;
}

.panel-success > .panel-heading {
    color: #ffffff;
    background-color: #27c24c;
    border-color: #cfdbe2;
}

.panel-success > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #cfdbe2;
}

.panel-success > .panel-heading .badge {
    color: #27c24c;
    background-color: #ffffff;
}

.panel-success > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #cfdbe2;
}

.panel-info {
    border-color: #cfdbe2;
}

.panel-info > .panel-heading {
    color: #ffffff;
    background-color: #23b7e5;
    border-color: #cfdbe2;
}

.panel-info > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #cfdbe2;
}

.panel-info > .panel-heading .badge {
    color: #23b7e5;
    background-color: #ffffff;
}

.panel-info > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #cfdbe2;
}

.panel-warning {
    border-color: #cfdbe2;
}

.panel-warning > .panel-heading {
    color: #ffffff;
    background-color: #ff902b;
    border-color: #cfdbe2;
}

.panel-warning > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #cfdbe2;
}

.panel-warning > .panel-heading .badge {
    color: #ff902b;
    background-color: #ffffff;
}

.panel-warning > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #cfdbe2;
}

.panel-danger {
    border-color: #cfdbe2;
}

.panel-danger > .panel-heading {
    color: #ffffff;
    background-color: #f05050;
    border-color: #cfdbe2;
}

.panel-danger > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #cfdbe2;
}

.panel-danger > .panel-heading .badge {
    color: #f05050;
    background-color: #ffffff;
}

.panel-danger > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #cfdbe2;
}


.checkbox-inline {
    margin-top: 0;
    margin-left: 10px;
}

.input-group-btn {
    width: 1%;
    white-space: nowrap;
    vertical-align: top;
}

.input-group-addon {
    width: 1%;
    white-space: nowrap;
    vertical-align: top;
}

.bg-default {
    background-color: #fafafa !important;
}

.bg-grayed {
    background-color: #cacaca !important;
}

.bg-gray {
    background-color: #999 !important;
}

.bg-grey {
    background-color: #cacaca !important;
}

.bg-white {
    background-color: #ffffff !important;
}

.bg-disabled {
    background: -webkit-repeating-linear-gradient(45deg, transparent, transparent 10px, #ccc 10px, #ccc 20px), -webkit-linear-gradient(top, #eee, #999);
    background: repeating-linear-gradient(45deg, transparent, transparent 10px, #ccc 10px, #ccc 20px), linear-gradient(to bottom, #eee, #999);
}

.bg-disabled-planning {
    background: -webkit-repeating-linear-gradient(45deg, transparent, transparent 5px, #ccc 5px, #ccc 10px);
    background: repeating-linear-gradient(45deg, transparent, transparent 5px, #ccc 5px, #ccc 10px);
}

.border-bold {
    border: 2px solid #000 !important;
    background: -webkit-repeating-linear-gradient(45deg, transparent, transparent 10px, #ccc 10px, #ccc 20px), -webkit-linear-gradient(top, #eee, #999);
    background: repeating-linear-gradient(45deg, transparent, transparent 10px, #ccc 10px, #ccc 20px), linear-gradient(to bottom, #eee, #999);
}

@media (min-width: 900px) {
    [dynamic-layout] {
        width: 100%;
        margin-top: 20px;
    }

    .dynamic-layout-col-4 {
        width: 300px;
    }

    .dynamic-layout-col-8 {
        width: 600px;
    }
}

@media (min-width: 600px) and (max-width: 900px) {
    [dynamic-layout] {
        width: 100%;
    }

    .dynamic-layout-col-4 {
        width: 300px;
    }

    .dynamic-layout-col-8 {
        width: 600px;
    }
}

@media (max-width: 600px) {
    [dynamic-layout] {
        width: 100%;
    }

    .dynamic-layout-col-4 {
        width: 300px;
    }

    .dynamic-layout-col-8 {
        width: 300px;
    }
}

.dynamic-layout-item {
    padding: 10px;
}

.move-items-animation {
    transition-property: left, top;
    transition-duration: .5s;
    transition-timing-function: ease-in-out;
}

.dynamic-layout-item-parent.ng-enter {
    transition: .5s ease-in-out;
    opacity: 0;
}

.dynamic-layout-item-parent.ng-enter.ng-enter-active {
    opacity: 1;
}

.dynamic-layout-item-parent.ng-leave {
    transition: .5s ease-in-out;
    opacity: 1;
}

.dynamic-layout-item-parent.ng-leave.ng-leave-active {
    opacity: 0;
}

[dynamic-layout] {
    float: left;
    position: relative;
}

.step {
    position: relative;
    padding: 12px 20px;
    margin: 0;
    color: #a3afb7;
    font-size: inherit;
    vertical-align: top;
    background-color: #f3f7f9;
    border-radius: 0;
}

.step-desc {
    text-align: left;
}

.step-title {
    font-size: 20px;
    color: #526069;
    margin-bottom: 0;
    font-weight: bold;
}

.step-number {
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    left: 20px;
    width: 40px;
    height: 40px;
    font-size: 24px;
    line-height: 40px;
    color: #fff;
    text-align: center;
    background: #e4eaec;
    border-radius: 50%;
}

.step-number ~ .step-desc {
    min-height: 40px;
    margin-left: 50px;
}

.step.current {
    color: #fff;
    background-color: #62a8ea;
}

.step.current .step-number {
    color: #62a8ea;
    background-color: #fff;
}

.step.current .step-title {
    color: #fff;
}

.ngdialog.ngdialog-theme-default .ngdialog-content {
    padding: 0px !important;
}

.ngdialog.dialogwidth800 .ngdialog-content {
    width: 800px !important;
}

.ngdialog.dialogwidth600 .ngdialog-content {
    width: 600px !important;
}

.ngdialog.dialogwidth50percent {
    padding: 0px !important;
    margin-top: 10vh;
}

.ngdialog.dialogwidth90percent {
    padding: 0px !important;
    margin-top: 10vh;
}

.ngdialog.dialogwidthfull {
    padding: 0px !important;
    margin-top: 5vh;
}

.popup-content {
    max-height: 80vh;
    overflow: auto;
}

.ngdialog.dialogwidth50percent .ngdialog-content {
    width: 50% !important;
}

.ngdialog.dialogwidth90percent .ngdialog-content {
    width: 90% !important;
}

.ngdialog.dialogwidthfull .ngdialog-content {
    width: 90% !important;
    height: 90vh !important;
}

.ellipsis {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.panel-group .panel + .panel {
    margin-top: 0px;
}

.panel.panel-default {
    border-top-width: 0px;
}

.text-defaultTour {
    color: #333333;
}

.popover-content {
    color: #000
}

.flot-x-axis .flot-tick-label {
    white-space: nowrap;
    transform: translate(-9px, 0) rotate(-60deg);
    text-indent: -100%;
    transform-origin: top right;
    text-align: right !important;

}

.text-white {
    color: #fff;
}

.text-grey {
    color: #eaeaea;
}

.text-black {
    color: #000;
}

.barre {
    text-decoration: line-through;
}

.italic {
    font-style: italic;
}

.ngdialog.ngdialog-theme-default.planning-width .ngdialog-content {
    width: 500px;
}

.ngdialog.ngdialog-theme-default.planning-width-large .ngdialog-content {
    width: 800px;
}

.border-bold-light {
    border: 1px solid #000 !important;
    background: -webkit-repeating-linear-gradient(45deg, transparent, transparent 10px, #ccc 10px, #ccc 20px), -webkit-linear-gradient(top, #eee, #999);
    background: repeating-linear-gradient(45deg, transparent, transparent 10px, #ccc 10px, #ccc 20px), linear-gradient(to bottom, #eee, #999);
}

.well > table {
    width: 100%;
}

.sweet-alert p {
    max-height: 300px;
    overflow-y: auto;
}

.barre {
    text-decoration: line-through;
}

.StripeElement {
    background-color: white;
    height: 40px;
    padding: 10px 12px;
    border-radius: 4px;
    border: 1px solid transparent;
    box-shadow: 0 1px 3px 0 #e6ebf1;
    -webkit-transition: box-shadow 150ms ease;
    transition: box-shadow 150ms ease;
}

.StripeElement--focus {
    box-shadow: 0 1px 3px 0 #cfd7df;
}

.StripeElement--invalid {
    border-color: #fa755a;
}

.StripeElement--webkit-autofill {
    background-color: #fefde5 !important;
}

.bin {
    min-height: 150px;
    min-width: 150px;
    float: left;
    border: 1px solid red;
    padding: 20px;
}

.item {
    min-height: 50px;
    min-width: 50px;
    background: blue;
    float: right;
    transition: all 0.2s ease;
}

.drag {
    opacity: 0.5;
}

.over {
    background: gray;
}

.suggestion {
    border: 2px dashed;
    border-color: #27c24c;

}

.rating {
    color: #a9a9a9;
    margin: 0;
    padding: 0;
}

ul.rating {
    display: inline-block;
}

.rating li {
    list-style-type: none;
    display: inline-block;
    padding: 1px;
    text-align: center;
    font-weight: bold;
    font-size: 20px;
}

.rating .filled {
    color: orangered;
}

.truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


#wrapper, .mce-tinymce, .mce-stack-layout, .mce-edit-area {
    display: flex !important;
    flex-direction: column;
    flex: 1;
    align-items: stretch;
}

.mce-tinymce iframe {
    flex: 1;
}

.planning-filter {
    display: flex;
    flex-direction: row;
}

.planning-container {
    width: 100%;
    background-color: #fff;
    min-height: 50px;
}

.planning-header {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: stretch;
}

.planning-header-detail {
    flex: 1;
}

.planning-legend {
    border: 1px solid #ddd;
    display: inline-block;
    width: 35px;
    height: 35px;
}

.planning-row {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: stretch;
}

.planning-name {
    padding: 2px 2px 2px 2px;
    width: 200px;
    min-width: 200px;
    overflow: hidden;
    border: 1px solid #ccc;
    display: flex;
    align-items: center;
    font-weight: bold;
}

.planning-verification {
    padding: 2px 2px 2px 2px;
    width: 300px;
    overflow: hidden;
    border: 1px solid #ccc;
    display: flex;
    align-items: center;
    font-weight: bold;
}

.planning-time {
    text-align: center;
    border: 1px solid #ccc;
    width: 50px;
    min-width: 50px;
    font-weight: bold;
    padding: 2px 2px 2px 2px;
    align-items: center;
    justify-content: center;
    display: flex;
}

.planning-name-detail {
    flex: 1;
}

.planning-time-detail {
    text-align: center;
    border: 1px solid #ccc;
    width: 50px;
    min-width: 50px;

}

.planning-day-container {
    flex: 1;
    display: flex;
    position: relative;
    flex-direction: column;
}

.planning-day {
    flex: 1;
    border: 1px solid #ccc;
    display: flex;
    position: relative;
}

.bg-reel {
    background-color: #ddd;
}

.planning-hour {
    display: flex;
    flex: 1;
    text-align: left;
    /*padding: 2px 2px 2px 2px;*/
    font-weight: bold;
    min-width: 74px;
    align-items: center;
    justify-content: start;
}

.planning-quarter {
    text-align: center;
    font-size: small;
    flex: 1;
    height: 100%;
    min-width: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.planning-hour-sep {
    border-right: 2px dashed #ccc;
}

.planning-quarter-sep {
    text-align: center;
    font-size: small;
    border-right: 0.5px dashed #ccc;
}

.planning-reel-sep {
    border-top: 0.5px dashed #ccc;
}

.planning-affectation {
    height: 100%;
    padding: 1px 1px 1px 1px;

    display: flex;
    align-items: center;
    justify-content: center;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.planning-affectation-reel {
    height: 100%;
    padding: 1px 1px 1px 1px;
    opacity: 0.7;

    display: flex;
    align-items: center;
    justify-content: center;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.planning-affectation-updating {
    opacity: 0.5 !important;
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

/* .mce-floatpanel {
	width: auto !important;
}

.mce-container-body {
	width: auto !important;
}
 */

.p-0 {
    padding: 0px;
}

.m-0 {
    margin: 0px;
}

.panel-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.panel-container-around {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.panel-container-prev {
    display: flex;
    /*align-items: center;*/
    align-items: stretch;
    flex: 1;
}


.btn-dashboard-config {
    position: absolute;
    top: 0px;
    right: 0px;
}

.hidden-input {
    border: 0px;
    background: transparent;
}

.w100 {
    width: 100%;
}

.h100 {
    height: 100%;
}

.flex {
    flex: 1;
}

.d-flex {
    display: flex;
}

.flex-row {
    flex-direction: row;
}

.align-items-stretch {
    align-items: stretch;
}

.flex-col {
    flex-direction: column;
}

.align-items-center {
    align-items: center;
}

.justify-content-center {
    justify-content: center;
}

.justify-content-spacebetween {
    justify-content: space-between;
}

.p-10-15 {
    padding: 10px 15px;
}

.label-lg {
    font-size: 16px;
}

.alert-warning {
    color: #ffffff;
    background-color: #ff902b;
    border-color: #f77600;
}

.alert-danger {
    color: #ffffff;
    background-color: #f05050;
    border-color: #ec2121;
}

.alert-success {
    color: #ffffff;
    background-color: #27c24c;
    border-color: #1e983b;
}

.darker {
    border-left: 2px solid #9A9A9A !important;
}

.customize-form input.ng-invalid {
    color: #f05050;
    border: 1px solid #f05050;
}

.customize-form select.ng-invalid {
    color: #f05050;
    border: 1px solid #f05050;
}

.customize-form textarea.ng-invalid {
    color: #f05050;
    border: 1px solid #f05050;
}

.semi-transparent {
    opacity: 0.5;
}

.planning-day:hover, .planning-row:has(.planning-day:hover) .planning-name, .planning-row:has(.planning-day:hover) .planning-time-detail {
    background-color: #EEE;
}

.planning-container:has(.planning-time-0:hover) .planning-time-0 { background-color: #EEE; }
.planning-container:has(.planning-time-15:hover) .planning-time-15 { background-color: #EEE; }
.planning-container:has(.planning-time-30:hover) .planning-time-30 { background-color: #EEE; }
.planning-container:has(.planning-time-45:hover) .planning-time-45 { background-color: #EEE; }

.planning-container:has(.planning-time-60:hover) .planning-time-60 { background-color: #EEE; }
.planning-container:has(.planning-time-75:hover) .planning-time-75 { background-color: #EEE; }
.planning-container:has(.planning-time-90:hover) .planning-time-90 { background-color: #EEE; }
.planning-container:has(.planning-time-105:hover) .planning-time-105 { background-color: #EEE; }

.planning-container:has(.planning-time-120:hover) .planning-time-120 { background-color: #EEE; }
.planning-container:has(.planning-time-135:hover) .planning-time-135 { background-color: #EEE; }
.planning-container:has(.planning-time-150:hover) .planning-time-150 { background-color: #EEE; }
.planning-container:has(.planning-time-165:hover) .planning-time-165 { background-color: #EEE; }

.planning-container:has(.planning-time-180:hover) .planning-time-180 { background-color: #EEE; }
.planning-container:has(.planning-time-195:hover) .planning-time-195 { background-color: #EEE; }
.planning-container:has(.planning-time-210:hover) .planning-time-210 { background-color: #EEE; }
.planning-container:has(.planning-time-225:hover) .planning-time-225 { background-color: #EEE; }

.planning-container:has(.planning-time-240:hover) .planning-time-240 { background-color: #EEE; }
.planning-container:has(.planning-time-255:hover) .planning-time-255 { background-color: #EEE; }
.planning-container:has(.planning-time-270:hover) .planning-time-270 { background-color: #EEE; }
.planning-container:has(.planning-time-285:hover) .planning-time-285 { background-color: #EEE; }

.planning-container:has(.planning-time-300:hover) .planning-time-300 { background-color: #EEE; }
.planning-container:has(.planning-time-315:hover) .planning-time-315 { background-color: #EEE; }
.planning-container:has(.planning-time-330:hover) .planning-time-330 { background-color: #EEE; }
.planning-container:has(.planning-time-345:hover) .planning-time-345 { background-color: #EEE; }

.planning-container:has(.planning-time-360:hover) .planning-time-360 { background-color: #EEE; }
.planning-container:has(.planning-time-375:hover) .planning-time-375 { background-color: #EEE; }
.planning-container:has(.planning-time-390:hover) .planning-time-390 { background-color: #EEE; }
.planning-container:has(.planning-time-405:hover) .planning-time-405 { background-color: #EEE; }

.planning-container:has(.planning-time-420:hover) .planning-time-420 { background-color: #EEE; }
.planning-container:has(.planning-time-435:hover) .planning-time-435 { background-color: #EEE; }
.planning-container:has(.planning-time-450:hover) .planning-time-450 { background-color: #EEE; }
.planning-container:has(.planning-time-465:hover) .planning-time-465 { background-color: #EEE; }

.planning-container:has(.planning-time-480:hover) .planning-time-480 { background-color: #EEE; }
.planning-container:has(.planning-time-495:hover) .planning-time-495 { background-color: #EEE; }
.planning-container:has(.planning-time-510:hover) .planning-time-510 { background-color: #EEE; }
.planning-container:has(.planning-time-525:hover) .planning-time-525 { background-color: #EEE; }

.planning-container:has(.planning-time-540:hover) .planning-time-540 { background-color: #EEE; }
.planning-container:has(.planning-time-555:hover) .planning-time-555 { background-color: #EEE; }
.planning-container:has(.planning-time-570:hover) .planning-time-570 { background-color: #EEE; }
.planning-container:has(.planning-time-585:hover) .planning-time-585 { background-color: #EEE; }

.planning-container:has(.planning-time-600:hover) .planning-time-600 { background-color: #EEE; }
.planning-container:has(.planning-time-615:hover) .planning-time-615 { background-color: #EEE; }
.planning-container:has(.planning-time-630:hover) .planning-time-630 { background-color: #EEE; }
.planning-container:has(.planning-time-645:hover) .planning-time-645 { background-color: #EEE; }

.planning-container:has(.planning-time-660:hover) .planning-time-660 { background-color: #EEE; }
.planning-container:has(.planning-time-675:hover) .planning-time-675 { background-color: #EEE; }
.planning-container:has(.planning-time-690:hover) .planning-time-690 { background-color: #EEE; }
.planning-container:has(.planning-time-705:hover) .planning-time-705 { background-color: #EEE; }

.planning-container:has(.planning-time-720:hover) .planning-time-720 { background-color: #EEE; }
.planning-container:has(.planning-time-735:hover) .planning-time-735 { background-color: #EEE; }
.planning-container:has(.planning-time-750:hover) .planning-time-750 { background-color: #EEE; }
.planning-container:has(.planning-time-765:hover) .planning-time-765 { background-color: #EEE; }

.planning-container:has(.planning-time-780:hover) .planning-time-780 { background-color: #EEE; }
.planning-container:has(.planning-time-795:hover) .planning-time-795 { background-color: #EEE; }
.planning-container:has(.planning-time-810:hover) .planning-time-810 { background-color: #EEE; }
.planning-container:has(.planning-time-825:hover) .planning-time-825 { background-color: #EEE; }

.planning-container:has(.planning-time-840:hover) .planning-time-840 { background-color: #EEE; }
.planning-container:has(.planning-time-855:hover) .planning-time-855 { background-color: #EEE; }
.planning-container:has(.planning-time-870:hover) .planning-time-870 { background-color: #EEE; }
.planning-container:has(.planning-time-885:hover) .planning-time-885 { background-color: #EEE; }

.planning-container:has(.planning-time-900:hover) .planning-time-900 { background-color: #EEE; }
.planning-container:has(.planning-time-915:hover) .planning-time-915 { background-color: #EEE; }
.planning-container:has(.planning-time-930:hover) .planning-time-930 { background-color: #EEE; }
.planning-container:has(.planning-time-945:hover) .planning-time-945 { background-color: #EEE; }

.planning-container:has(.planning-time-960:hover) .planning-time-960 { background-color: #EEE; }
.planning-container:has(.planning-time-975:hover) .planning-time-975 { background-color: #EEE; }
.planning-container:has(.planning-time-990:hover) .planning-time-990 { background-color: #EEE; }
.planning-container:has(.planning-time-1005:hover) .planning-time-1005 { background-color: #EEE; }

.planning-container:has(.planning-time-1020:hover) .planning-time-1020 { background-color: #EEE; }
.planning-container:has(.planning-time-1035:hover) .planning-time-1035 { background-color: #EEE; }
.planning-container:has(.planning-time-1050:hover) .planning-time-1050 { background-color: #EEE; }
.planning-container:has(.planning-time-1065:hover) .planning-time-1065 { background-color: #EEE; }

.planning-container:has(.planning-time-1080:hover) .planning-time-1080 { background-color: #EEE; }
.planning-container:has(.planning-time-1095:hover) .planning-time-1095 { background-color: #EEE; }
.planning-container:has(.planning-time-1110:hover) .planning-time-1110 { background-color: #EEE; }
.planning-container:has(.planning-time-1125:hover) .planning-time-1125 { background-color: #EEE; }

.planning-container:has(.planning-time-1140:hover) .planning-time-1140 { background-color: #EEE; }
.planning-container:has(.planning-time-1155:hover) .planning-time-1155 { background-color: #EEE; }
.planning-container:has(.planning-time-1170:hover) .planning-time-1170 { background-color: #EEE; }
.planning-container:has(.planning-time-1185:hover) .planning-time-1185 { background-color: #EEE; }

.planning-container:has(.planning-time-1200:hover) .planning-time-1200 { background-color: #EEE; }
.planning-container:has(.planning-time-1215:hover) .planning-time-1215 { background-color: #EEE; }
.planning-container:has(.planning-time-1230:hover) .planning-time-1230 { background-color: #EEE; }
.planning-container:has(.planning-time-1245:hover) .planning-time-1245 { background-color: #EEE; }

.planning-container:has(.planning-time-1260:hover) .planning-time-1260 { background-color: #EEE; }
.planning-container:has(.planning-time-1275:hover) .planning-time-1275 { background-color: #EEE; }
.planning-container:has(.planning-time-1290:hover) .planning-time-1290 { background-color: #EEE; }
.planning-container:has(.planning-time-1305:hover) .planning-time-1305 { background-color: #EEE; }

.planning-container:has(.planning-time-1320:hover) .planning-time-1320 { background-color: #EEE; }
.planning-container:has(.planning-time-1335:hover) .planning-time-1335 { background-color: #EEE; }
.planning-container:has(.planning-time-1350:hover) .planning-time-1350 { background-color: #EEE; }
.planning-container:has(.planning-time-1365:hover) .planning-time-1365 { background-color: #EEE; }

.planning-container:has(.planning-time-1380:hover) .planning-time-1380 { background-color: #EEE; }
.planning-container:has(.planning-time-1395:hover) .planning-time-1395 { background-color: #EEE; }
.planning-container:has(.planning-time-1410:hover) .planning-time-1410 { background-color: #EEE; }
.planning-container:has(.planning-time-1425:hover) .planning-time-1425 { background-color: #EEE; }

.tooltip {
    z-index: 10000;
}

.navbar-button {
    background-color: transparent;
    color: white;
    padding: 15px 11px;
    line-height: 20px;
    position: relative;
    display: block;
    outline: none;
    text-decoration: none
}

.navbar-button:hover {
    text-decoration: none;
    outline: none;
    background-color: #eee;
    color: rgb(35, 183, 229);
}

.dropdown-menu-item {
    padding: 10px 10px !important;
    line-height: 20px !important;
    border-top: 1px dashed #ccc;
}

@media (max-width: 1023px) {
    .small-res-menu {
        display: flex;
    }
    .high-res-menu {
        display: none !important;
    }
}

@media (min-width: 1024px) {
    .small-res-menu {
        display: none !important;
    }
    .high-res-menu {
        display: flex;
    }
}

.multi-select-btn {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.multiselect-parent {
    width: 100%;
}

.ellipsis-multi-lines {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}

.uk-notify {
    z-index: 11000 !important;
}